%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 10;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate ncurses

Name:           rust-ncurses
Version:        5.101.0
Release:    1%{?dist}
Summary:        Very thin wrapper around the ncurses TUI library

License:        MIT
URL:            https://crates.io/crates/ncurses
Source0:         %{crates_source}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
A very thin wrapper around the ncurses TUI library.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       ncurses-devel

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+extended_colors-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+extended_colors-devel %{_description}

This package contains library source intended for building other packages which
use the "extended_colors" feature of the "%{crate}" crate.

%files       -n %{name}+extended_colors-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+menu-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+menu-devel %{_description}

This package contains library source intended for building other packages which
use the "menu" feature of the "%{crate}" crate.

%files       -n %{name}+menu-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+mouse_v1-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+mouse_v1-devel %{_description}

This package contains library source intended for building other packages which
use the "mouse_v1" feature of the "%{crate}" crate.

%files       -n %{name}+mouse_v1-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+panel-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+panel-devel %{_description}

This package contains library source intended for building other packages which
use the "panel" feature of the "%{crate}" crate.

%files       -n %{name}+panel-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+wide-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+wide-devel %{_description}

This package contains library source intended for building other packages which
use the "wide" feature of the "%{crate}" crate.

%files       -n %{name}+wide-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+wide_chtype-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+wide_chtype-devel %{_description}

This package contains library source intended for building other packages which
use the "wide_chtype" feature of the "%{crate}" crate.

%files       -n %{name}+wide_chtype-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires
echo 'ncurses-devel'

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.101.0-1
- initial build
